Skip to main content

be_get_uuid: failed to get uuid property from BE root dataset user properties.

So, there's this old OpenSolaris 111b installation, desperately needing an upgrade. But pkg(5) (sic!) fails to complete:

# BE_PRINT_ERR=true pkg image-update -v
Retrieving catalog 'opensolaris.org'... 
Loading catalog cache ... 
Refreshing catalog 
Refreshing catalog 1/1 opensolaris.org 
Creating Plan 
[....]
be_get_uuid: failed to get uuid property from BE root dataset user properties.
pkg: image-update cannot be done on live image
This has been partly covered in #7877 and #8313 and apparently been fixed but on this very system a newer version of SUNWbeadm cannot be installed - for the very reason that pkg image-update is not working. Installing just SUNWbeadm was not possible either, because it'd clash with max_version in pkg:/entire.

So, where to go from here? Installing the whole OS from scratch would be the easiest choice, I suppose. But also the least interesting. Let's download a newer copy of beadm (or grab the scripts from a more current system), compile Python2.6 and try again, shall we? Stay tuned....